# plan

**Scope required:** product:read

For a complete list of possible response fields see the [Plan](/developer/api-reference/types/plan.md) type.

```graphql
query plan ($id: ID) {
  plan (id: $id) {
    addon
    allowMultipleSubscriptions
    availableFrom
    availableTo
    basePrice
    code
    contactUsLabel
    contactUsUrl
    createdAt
    customFieldsData
    description
    hasCustomFields
    id
    internalNotes
    isAvailableNow
    isVisible
    name
    position
    pricingDescription
    productId
    productPlanName
    selfServiceBuy
    selfServiceCancel
    selfServiceRenew
    updatedAt
  }
}
```

## Arguments

| Name | Type | Description |
| ---- | ---- | ----------- |
| id   | ID   |             |

## Response

* [Plan](/developer/api-reference/types/plan.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/plan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
